
package
{
	import flash.display.*;
	import flash.events.*;
	import flash.utils.getDefinitionByName;
	
	import mochi.as3.*;

	[SWF (width=640, height=480, frameRate=50)]

	public dynamic class Preloader extends Sprite
	{
		private var preloader : Sprite;
		private var progressBar : Shape;
		private var text: MyTextField;
		
		[Embed(source="images/bg.jpg")]
		public static var bgSrc: Class;
		
		public function Preloader()
		{
			MochiServices.connect("94e6c9f40cb342ca", this);
			
			if (this.loaderInfo.bytesLoaded < this.loaderInfo.bytesTotal)
			{
				preloader = new Sprite();
				
				//preloader.graphics.beginFill(0xFFFFFF);
				preloader.graphics.beginBitmapFill(new bgSrc().bitmapData);
				preloader.graphics.drawRect(0, 0, 640, 480);
				preloader.graphics.endFill();
				
				preloader.graphics.beginFill(0xFFFFFF);
				preloader.graphics.drawRect(68, 228, 504, 24);
				preloader.graphics.endFill();
				
				progressBar = new Shape();
				
				preloader.addChild(progressBar);
				
				text = new MyTextField(320, 260);
				
				preloader.addChild(text);
				
				addChild(preloader);
				
				addEventListener(Event.ENTER_FRAME, onEnterFrame);
			}
			else
			{
				startup();
			}
		}
		
		private function onEnterFrame (e:Event): void
		{
			var p:Number = (this.loaderInfo.bytesLoaded / this.loaderInfo.bytesTotal);
			
			progressBar.graphics.beginFill(0x000000);
			progressBar.graphics.drawRect(70, 230, p * 500, 20);
			progressBar.graphics.endFill();
			
			text.text = int(100 * p) + "%";
			
			if (this.loaderInfo.bytesLoaded == this.loaderInfo.bytesTotal)
			{
				removeEventListener(Event.ENTER_FRAME, onEnterFrame);
				startup();
				removeChild(preloader);
			}
			
		}

		private function startup():void
		{
			var mainClass:Class = getDefinitionByName("Game") as Class;
			
			var mainObj: DisplayObject = new mainClass() as DisplayObject;
			
			addChild(mainObj);
		}
	}

}


